cowboy_req:body_length(3)

NAME

cowboy_req:body_length - Body length

DESCRIPTION
    body_length(Req :: cowboy_req:req()) -> undefined | non_neg_integer()

Return the length of the request body.

The length is not always known before reading the body. In those cases Cowboy will return undefined. The body length is available after the body has been fully read.

ARGUMENTS

Req
    The Req object.

RETURN VALUE

The length of the request body, or undefined if it is not known.

CHANGELOG
    • 2.0: Only the length is returned, it is no longer wrapped in a tuple.
    • 1.0: Function introduced.

EXAMPLES

Get the body length
    Length = cowboy_req:body_length(Req).

SEE ALSO

cowboy_req(3), cowboy_req:has_body(3), cowboy_req:read_body(3), cowboy_req:read_urlencoded_body(3), cowboy_req:read_part(3), cowboy_req:read_part_body(3)